function CloseSerial()
%% Close and delete all open serial ports in MATLAB
comPortObjects = instrfindall; % Note: "instrfindall" will display all pertinent information about any open serial port
if ~isempty(comPortObjects)
    fclose(comPortObjects); % close this serial COM port connection, but leave the serial object in existence
    delete(comPortObjects); % delete the serial object too
end

end % end of function