#include <Arduino.h>

void hc595_Init(char serPin, char sckPin, char rckPin, char gPin){
    pinMode(serPin, OUTPUT);
    pinMode(sckPin, OUTPUT);
    pinMode(rckPin, OUTPUT);
    pinMode(gPin, OUTPUT);
    
    digitalWrite(serPin, LOW);
    digitalWrite(sckPin, LOW);
    digitalWrite(rckPin, LOW);
    digitalWrite(gPin, LOW);
}

void hc595_SendData(char data, char serPin, char sckPin, char rckPin){
    
    char bit = 0;
    char i = 0;
    
    digitalWrite(rckPin, LOW);
    
    for(i = 7; i >= 0; i--)
    {
        bit = ((data & (1 << i)) >> i);
        digitalWrite(serPin, bit);
        delay(15);
        digitalWrite(sckPin, HIGH);
        delay(15);
        digitalWrite(sckPin, LOW);
    }
    
    digitalWrite(rckPin, HIGH);
}