function serialObject = SetupSerial(comPort, baudRate)

timer1 = tic;

serialObject = serial(comPort, 'BaudRate', baudRate, 'Parity', 'none' ,'DataBits', 8, 'StopBits', 1,'terminator', '');
fopen(serialObject);

string1 = sprintf('Serial connection between Arduino & MATLAB established.\n');
fprintf(string1)

string2 = sprintf('Connecting took %f seconds.\n', toc(timer1));
fprintf(string2);

end


